Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class ShowAdjustedText

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.ShowText
                  org.pdfclown.documents.contents.objects.ShowAdjustedText

    @PDF(value=PDF10)
    public final class ShowAdjustedText

extends ShowText

'Show one or more text strings, allowing individual glyph positioning' operation [PDF:1.6:5.3.2].

Since:
  0.0.8
Version:
  0.1.2, 02/04/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.contents.objects.ShowText
`ShowText.IScanner`

Field Summary
`static String` | `Operator`

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Constructor Summary
`ShowAdjustedText(List<Object> value, int reserved)`
`ShowAdjustedText(List<PdfDirectObject> operands)`

Method Summary
`byte[]` | `getText()` Gets the encoded text.
`List<Object>` | `getValue()` Gets the encoded text elements along with their adjustments.
`void` | `setText(byte[] value)`
`void` | `setValue(List<Object> value)`

Methods inherited from class org.pdfclown.documents.contents.objects.ShowText
`scan, scan`

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Operator

    public static final String Operator

See Also:
  Constant Field Values

Constructor Detail

### ShowAdjustedText

    public ShowAdjustedText(List<Object> value,
                            int reserved)

Parameters:
  `value` - Each element can be either a byte array (encoded text) or a number. If the element is a byte array (encoded text), this operator shows the text glyphs. If it is a number (glyph adjustment), the operator adjusts the next glyph position by that amount.

### ShowAdjustedText

    public ShowAdjustedText(List<PdfDirectObject> operands)

Method Detail

### getText

    public byte[] getText()

  Description copied from class: `ShowText`
  Gets the encoded text.

  ### Remarks

  Text is expressed in native encoding: to resolve it to Unicode, pass it to the decode method of the corresponding font.

  Specified by:
    `getText` in class `ShowText`

### getValue

    public List<Object> getValue()

  Description copied from class: `ShowText`
  Gets the encoded text elements along with their adjustments.

  ### Remarks

  Text is expressed in native encoding: to resolve it to Unicode, pass it to the decode method of the corresponding font.

  Overrides:
    `getValue` in class `ShowText`
  Returns:
    Each element can be either a byte array or a number: if it's a byte array (encoded text), the operator shows text glyphs; if it's a number (glyph adjustment), the operator inversely adjusts the next glyph position by that amount (that is: a positive value reduces the distance between consecutive glyphs).

### setText

    public void setText(byte[] value)

  Specified by:
    `setText` in class `ShowText`
  See Also:
    `ShowText.getText()`

### setValue

    public void setValue(List<Object> value)

  Overrides:
    `setValue` in class `ShowText`
  See Also:
    `ShowText.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.